Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 651240 - mingw32-OpenSceneGraph contains an embedded copy of lib3ds, prone to CVE-2010-0280
mingw32-OpenSceneGraph contains an embedded copy of lib3ds, prone to CVE-2010...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw32-OpenSceneGraph (Show other bugs)
13
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Stefan Riemens
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks: CVE-2010-0280
  Show dependency treegraph
 
Reported: 2010-11-08 22:11 EST by Silvio Cesare
Modified: 2010-11-19 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version: mingw32-OpenSceneGraph-2.8.2-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 17:36:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Silvio Cesare 2010-11-08 22:11:50 EST
Description of problem:

mingw32-OpenSceneGraph source rpm, as shipped with Fedora-13 contains
embedded copy of lib3ds library (its relevant code parts
vulnerable to CVE-2010-0280 flaw). This problem has already been addressed in OpenSceneGraph.

Version-Release number of selected component (if applicable):

Name: mingw32-OpenSceneGraph
Version: 2.8.2
Release: 2.fc13

Additional info:

This is the same vulnerability as has been fixed in OpenSceneGraph.

https://bugzilla.redhat.com/show_bug.cgi?id=646104

See also:
[1] https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2010-0280

and patch from:
[2] https://bugzilla.redhat.com/show_bug.cgi?id=633475#c4
Comment 1 Fedora Update System 2010-11-09 07:06:12 EST
mingw32-OpenSceneGraph-2.8.2-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mingw32-OpenSceneGraph-2.8.2-3.fc13
Comment 2 Fedora Update System 2010-11-11 17:17:55 EST
mingw32-OpenSceneGraph-2.8.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-OpenSceneGraph'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mingw32-OpenSceneGraph-2.8.2-3.fc13
Comment 3 Fedora Update System 2010-11-19 17:36:11 EST
mingw32-OpenSceneGraph-2.8.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.